StateMachine03 Class Reference
Thirth Test Project

`#include <statemachine03.h>`

Inheritance diagram for StateMachine03:
Collaboration diagram for StateMachine03:

## Protected Types

enum | eTimeoutId { Timeout_WAIT_id = 1 }
enum | eMainState { STATE_UNKOWN = 0 , STATE_INITIAL = 1 , STATE_WAIT = 2 , STATE_SEND_RESTART = 3 }

## Protected Member Functions

XFEventStatus | processEvent () override

## Protected Attributes

eMainState | currentState_
| Attribute indicating currently active state.

## Detailed Description

Implements a state machine sending itself an evRestart event, to drive the state machine further.

Following you will find the state machine implemented by StateMachine03:

State Machine implemented by StateMachine03

## Member Enumeration Documentation

## eMainState

enum StateMachine03::eMainState

protected

Enumeration used to have a unique identifier for every state in the state machine.

Enumerator
STATE_UNKOWN | Unkown state.
STATE_INITIAL | Initial state.
STATE_WAIT | Wait state.
STATE_SEND_RESTART | State sending an restart event.

## eTimeoutId

enum StateMachine03::eTimeoutId

protected

Timeout identifier(s) for this state machine

Enumerator
Timeout_WAIT_id | Timeout id for WAIT.

## Member Function Documentation

## processEvent()

XFEventStatus StateMachine03::processEvent | ( |  | ) |

overrideprotected

Implements state machine behavior.

The documentation for this class was generated from the following files:

- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test3/src/app/statemachine03.h
- C:/Users/thomas.sterren/Desktop/PTR_XF_Release/03-release/work/test-bench/test3/src/app/statemachine03.cpp